Package mpi

# Class FloatComplex

java.lang.Object
mpi.FloatComplex

public final class FloatComplex extends Object
This class wraps a complex number stored in a buffer.

## Method Summary

Modifier and Type
Method
Description
`static FloatComplex`
`get(float[] array)`
Wraps a complex number stored in the first two values of an array.
`static FloatComplex`
`get(float[] array, int index)`
Wraps the complex number at the specified position of an array of complex numbers stored in an array of floats.
`static FloatComplex`
`get(ByteBuffer buffer)`
Wraps a complex number stored in a buffer
`static FloatComplex`
`get(ByteBuffer buffer, int index)`
Wraps the complex number at the specified position of an array of complex numbers stored in a buffer.
`static FloatComplex`
`get(FloatBuffer buffer)`
Wraps a complex number stored in a buffer
`static FloatComplex`
`get(FloatBuffer buffer, int index)`
Wraps the complex number at the specified position of an array of complex numbers stored in a buffer.
`FloatBuffer`
`getBuffer()`
Gets the buffer where the complex number is stored.
`float`
`getImag()`
Gets the imaginary value.
`float`
`getReal()`
Gets the real value.
`void`
`putImag(float imag)`
Puts the imaginary value.
`void`
`putReal(float real)`
Puts the real value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

public static FloatComplex get(FloatBuffer buffer)
Wraps a complex number stored in a buffer

Parameters:
  `buffer` - buffer
Returns:
  complex number

### get

public static FloatComplex get(FloatBuffer buffer, int index)
Wraps the complex number at the specified position of an array of complex numbers stored in a buffer.

Parameters:
  `buffer` - buffer
  `index` - index
Returns:
  complex number

### get

public static FloatComplex get(float[] array)
Wraps a complex number stored in the first two values of an array.

Parameters:
  `array` - array
Returns:
  complex number

### get

public static FloatComplex get(float[] array, int index)
Wraps the complex number at the specified position of an array of complex numbers stored in an array of floats.

Parameters:
  `array` - array
  `index` - index
Returns:
  complex number

### get

public static FloatComplex get(ByteBuffer buffer)
Wraps a complex number stored in a buffer

Parameters:
  `buffer` - buffer
Returns:
  complex number

### get

public static FloatComplex get(ByteBuffer buffer, int index)
Wraps the complex number at the specified position of an array of complex numbers stored in a buffer.

Parameters:
  `buffer` - buffer
  `index` - index
Returns:
  complex number

### getReal

public float getReal()
Gets the real value.

Returns:
  real value

### getImag

public float getImag()
Gets the imaginary value.

Returns:
  imaginary value.

### putReal

public void putReal(float real)
Puts the real value.

Parameters:
  `real` - real value

### putImag

public void putImag(float imag)
Puts the imaginary value.

Parameters:
  `imag` - imaginary value

### getBuffer

public FloatBuffer getBuffer()
Gets the buffer where the complex number is stored.

Returns:
  buffer where the complex number is stored